include "config.ms"

try(destroyDialog wwdt_config)catch(
	
	   --there was not any open
	)


--wwswToolsConfigFloater = newRolloutFloater "Sky Writer Config" 130 280 10 10




rollout wwdt_config "Displacement Tool Config" width:126 height:266
(
	button btn_expMapPath "Default Map Folder" pos:[9,58] width:101 height:40 toolTip:"Pick the map export folder. You probably want to choose your material source folder inside sourcesdk_content > yourmod > material_src."

	button btn_installWWMT "Install MacroScript" pos:[11,152] width:100 height:43 toolTip:"Click Here to install WW Displacements into your Max Preferences UI."
	
	button btn_addToMenu "Add to Menu" pos:[12,201] width:99 height:43 toolTip:"Adds a menu item in the menu bar after the Max Help."


		
		
	on btn_expMapPath pressed do
	(
		

			try (
				newPath = getSavePath caption:"Set Root Export Path" initialDir:wwdt_mapsrc
				) catch(
				newPath = getSavePath caption:"Set Root Export Path"
				
				)
			if (newPath != undefined) do (
				wwdt_mapsrc = newPath
				setINISetting userIni "Directories" "exportMaps" wwdt_mapsrc
				
				btn_expMapPath.caption = wwdt_mapsrc
			)
		)
	
	on btn_installWWMT pressed do
	(
	
	if doesFileExist "$scripts\\WallWorm.com\\WallWormSimpleDisplacement\\wwdt_mcr.mcr" then (
	
		fileIn "$scripts\\WallWorm.com\\WallWormSimpleDisplacement\\wwdt_mcr.mcr"
		
		messagebox "You can now add a button or menu item for WWMT.\n\n*Click Customize > Customize User Interface\n\n*Select wallworm.com in the Categories drop-down menu\n\n*Drag Wall Worm Sky Writer to a menu bar or menu item."
		
		) else (
		
		messageBox "The installer only works if you have placed the Wall Worm Model Tools into the correct folder in the Max Scripts directory. Please read the installation instructions."
		)
	
	
	)
	on btn_addToMenu pressed do
	(
	
	if doesFileExist "$scripts\\WallWorm.com\\WallWormSimpleDisplacement\\wwdt_mcr.mcr" then (
	
			fileIn "$scripts\\WallWorm.com\\WallWormSimpleDisplacement\\wwdt_mcr.mcr"
		
			if menuMan.registerMenuContext 0x1ee76d8e then(
	
				-- Get the main menu bar
	
				local mainMenuBar = menuMan.getMainMenuBar()

				-- Create a new menu
	
				local subMenu = menuMan.createMenu "Wall Worm"
	
				 
	
				-- create a menu item that calls the sample macroScript
	
				local testItem = menuMan.createActionItem "WallWormSimpleDisplacementMCR" "wallworm.com"
	
				 
	
				-- Add the item to the menu
	
				subMenu.addItem testItem -1
	
				 
	
				-- Create a new menu item with the menu as it's sub-menu
	
				local subMenuItem = menuMan.createSubMenuItem "Wall Worm" subMenu
	
				 
	
				-- compute the index of the next-to-last menu item in the main menu bar
	
				local subMenuIndex = mainMenuBar.numItems() - 1
	
				 
	
				-- Add the sub-menu just at the second to last slot
	
				mainMenuBar.addItem subMenuItem subMenuIndex
	
				 
	
				-- redraw the menu bar with the new item
	
				 
	
				menuMan.updateMenuBar()
				messagebox "There is now a Wall Worm item in the menu bar."
			) else (
				try (
				subMenu = menuMan.findMenu "Wall Worm"
				local testItem = menuMan.createActionItem "WallWormSimpleDisplacementMCR" "wallworm.com"
	
				-- Add the item to the menu
	
				subMenu.addItem testItem -1
				-- Create a new menu item with the menu as it's sub-menu
	
				--local subMenuItem = menuMan.createSubMenuItem "Wall Worm" subMenu
					
				menuMan.updateMenuBar()
				messagebox "There is now a WW Displacement Tools entry in your Wall Worm menu."
				) catch (
					 messagebox "There was a problem adding the menu."
					)
			)
	
		) else (
		
			messageBox "The installer only works if you have placed Wall Worm Displacement Tools into the correct folder in the Max Scripts directory. Please read the installation instructions."
		)	
	
	
	
	)
	

)
	



	createDialog wwdt_config
